Option Explicit

Const ForReading = 1
Const ForWriting = 2
Const ForAppending = 8

strComputersFile = "FF_Computers.txt"
strLogFile = "FF_Copy.log"
strSourceFile = "FFDMFLDS.FCD"
strDestFolder = "\C$\Program Files\FormFast\"


Dim objFSO, objFile, logFile
Dim strLine, strComputersFile, strLogFile
Dim strSourceFile, strDestFolder

Set objFSO = CreateObject("Scripting.FileSystemObject")

If objFSO.FileExists(strLogFile) Then
     Set logFile = objFSO.OpenTextFile(strLogFile,ForAppending)
Else
     Set logFile = objFSO.CreateTextFile(strLogFile,ForWriting)
End If


If objFSO.FileExists(strComputersFile) Then
     Set objFile = objFSO.OpenTextFile(strComputersFile,ForReading)
    
     Do Until objFile.AtEndOfStream
          strLine = objFile.ReadLine
          CopyFile strSourceFile, "\\" & strLine & strDestFolder, True
     Loop
    
     objFile.Close
     Set objFile = Nothing
Else
     WScript.Quit
End If

logFile.Close

WScript.Echo "Done!" & vbNewLine & "Log file is in " & strLogFile

Sub CopyFile(strSourceFile, strDestFolder, Overwrite)
    
     Dim objFile
    
     If objFSO.FileExists(strSourceFile) Then
          If objFSO.FolderExists(strDestFolder) Then
               Set objFile = objFSO.GetFile(strSourceFile)
               If Right(strDestFolder,1) = "\" Then
                    objFile.Copy strDestFolder & objFile.Name,Overwrite
               Else
                    objFile.Copy strDestFolder & "\" & objFile.Name,Overwrite
               End If
               WriteLog  "File Was Copied to " & strDestFolder
          Else
               WriteLog "Error - Folder " & strDestFolder & " Does not Exist."
          End If
     Else
          WriteLog "Error - File " & strSourceFile & " Does not Exist."
     End If

End Sub

Sub WriteLog(strText)
     logFile.WriteLine "[" & Now & "]" & strText
End Sub